package com.cooleshow.usercenter.ui.activity;

import android.os.Bundle;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.ui.activity.BaseMvpActivity;
import com.cooleshow.base.utils.helper.QMUIStatusBarHelper;
import com.cooleshow.provider.router.RouterPath;
import com.cooleshow.usercenter.R;
import com.cooleshow.usercenter.injection.component.DaggerUserComponent;
import com.cooleshow.usercenter.injection.module.UserModule;
import com.cooleshow.usercenter.presenter.VerifyLoginPresenter;
import com.cooleshow.usercenter.presenter.view.IVerifyLoginView;

import androidx.annotation.Nullable;

/**
 * Author by pq, Date on 2022/4/19.
 */
@Route(path = RouterPath.UserCenter.PATH_VERIFY_LOGIN)
public class VerifyCodeLoginActivity extends BaseMvpActivity<VerifyLoginPresenter> implements IVerifyLoginView {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        QMUIStatusBarHelper.setStatusBarLightMode(this);
    }

    @Override
    protected int getLayoutId() {
        return R.layout.activity_verify_code_login;
    }

    @Override
    protected void initView() {

    }

    @Override
    protected void injectComponent() {
        DaggerUserComponent.builder()
                .activityComponent(mActivityComponent)
                .userModule(new UserModule())
                .build()
                .inject(this);
        mPresenter.mView = this;
    }
}
